use super::hashing::HashedBytes;
use entity::master_pass;

pub trait FromUnencryptedExt {
    fn from_unencrypted(user_id: u64, password: &str) -> master_pass::MasterPass;
}

impl FromUnencryptedExt for master_pass::MasterPass {
    /// Hashes the password and creates an `ActiveModel` with all fields set to Set variant
    #[inline]
    fn from_unencrypted(user_id: u64, password: &str) -> Self {
        let hash = HashedBytes::new(password.as_bytes());
        Self {
            user_id,
            password_hash: hash.hash.to_vec(),
            salt: hash.salt.to_vec(),
        }
    }
}
