use crate::prelude::*;

#[inline]
pub async fn get_menu(
    bot: Throttle<Bot>,
    q: CallbackQuery,
    db: Pool,
    locale: LocaleRef,
) -> crate::Result<()> {
    let user_id = q.from.id.0;
    let mut ids: MessageIds = q.message.as_ref().unwrap().into();

    let markup = menu_markup("get", user_id, &db).await?;
    if markup.inline_keyboard.is_empty() {
        ids.alter_message(
            &bot,
            locale.no_accounts_found.as_ref(),
            deletion_markup(locale),
            None,
        )
        .await?;
        return Ok(());
    }

    ids.alter_message(&bot, locale.choose_account.as_ref(), markup, None)
        .await?;
    bot.answer_callback_query(q.id).await?;
    Ok(())
}
