//! This module consists of endpoints to handle commands

crate::export_handlers!(
    add_account,
    cancel,
    delete,
    delete_all,
    export,
    gen_password,
    get_account,
    get_accounts,
    help,
    import,
    menu,
    set_master_pass,
    start,
    change_language
);

use teloxide::macros::BotCommands;

#[derive(BotCommands, Clone, Copy)]
#[command(rename_rule = "snake_case")]
pub enum Command {
    Start,
    Help,
    SetMasterPass,
    Menu,
    AddAccount,
    GetAccount,
    GetAccounts,
    Delete,
    DeleteAll,
    Export,
    Import,
    GenPassword,
    Cancel,
    ChangeLanguage,
}
