use crate::prelude::*;

/// Handles /cancel command when there's no active state
#[inline]
pub async fn cancel(bot: Throttle<Bot>, msg: Message, locale: LocaleRef) -> crate::Result<()> {
    bot.send_message(msg.chat.id, locale.nothing_to_cancel.as_ref())
        .reply_markup(deletion_markup(locale))
        .await?;
    Ok(())
}
