use crate::prelude::*;

#[inline]
pub async fn get_account(
    bot: Throttle<Bot>,
    msg: Message,
    db: Pool,
    locale: LocaleRef,
) -> crate::Result<()> {
    let user_id = msg.from().ok_or(NoUserInfo)?.id.0;

    let markup = menu_markup("decrypt", user_id, &db).await?;

    if markup.inline_keyboard.is_empty() {
        bot.send_message(msg.chat.id, locale.no_accounts_found.as_ref())
            .reply_markup(deletion_markup(locale))
            .await?;
        return Ok(());
    }

    bot.send_message(msg.chat.id, locale.choose_account.as_ref())
        .reply_markup(markup)
        .await?;
    Ok(())
}
