#[derive(thiserror::Error, Debug)]
#[error("No user info found")]
pub struct NoUserInfo;

#[derive(thiserror::Error, Debug)]
#[error("Handler was already used")]
pub struct HandlerUsed;

#[derive(thiserror::Error, Debug)]
pub enum InvalidCommand {
    #[error("Invalid params")]
    InvalidParams,
    #[error("Not enough bytes in the name's hash")]
    InvalidOutputLength,
    #[error("Error decoding the values: {0}")]
    NameDecodingError(#[from] base64::DecodeError),
    #[error("Unknown locale passed into callback")]
    UnknownLocale,
}
