use crate::prelude::*;

#[inline]
async fn check_password(
    _: &Message,
    _: &Pool,
    locale: LocaleRef,
    password: &str,
) -> crate::Result<Option<String>> {
    let is_valid = validate_field(password);
    if !is_valid {
        return Ok(Some(locale.invalid_password.as_ref().into()));
    }
    Ok(None)
}

crate::simple_state_handler!(get_password, check_password);
